@echo OFF
rem  * *******************************************************************
rem  *               NBRXFFW1.cmd - a Windows Command File               *
rem  *         This program is provided by SimoTime Technologies         *
rem  *           (C) Copyright 1987-2016 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  *
rem  * Text   - Convert an EBCDIC-encoded file to a ASCII-encoded file.
rem  * Author - SimoTime Technologies
rem  * Date   - January 24, 1996
rem  *
rem  * The job will read a file if 80-byte records that contains numeric
rem  * fields with high-values.
rem  *
rem  * This batch job will run on a Windows System with Micro Focus
rem  * Enterprise Server.
rem  *
rem  * *******************************************************************
rem  * Step   1   Delete any previously created file...
rem  *
     set CmdName=NBRXFFW1
     call ..\Env1BASE %CmdName%
     if "%SYSLOG%" == "" set syslog=c:\SimoLIBR\LOGS\SimoTime.LOG
rem  *
     call SimoNOTE "*******************************************************%CmdName%"
     call SimoNOTE "Starting CmdName %CmdName%"
:DeleteQSAM
     call SimoNOTE "StepInfo Delete previously created file"
     set SYSUT1=%BaseLib1%\DATA\EBC1\SIMOTIME.DATAEBC.NBRXFFD1.DAT
     set SYSUT2=%BaseLib1%\DATA\ASC1\SIMOTIME.DATAASC.NBRXFFD1.DAT
     if exist %SYSUT2% del %SYSUT2%
rem  *
rem  * *******************************************************************
rem  * Step   2   Convert EBCDIC-encoded file to ASCII-encoded file...
rem  *
:ExecuteJustifyRoutine
     call SimoNOTE "StepInfo Execute the Convert Program"
     run NBRXFFC1
     if not ERRORLEVEL = 0 set JobStatus=0010
     if not %JobStatus% == 0000 goto :EojNok
     call SimoNOTE "DataTake %SYSUT1%"
     call SimoNOTE "DataMake %SYSUT2%"
rem  *
     if exist %SYSUT2% goto :EojAok
     set JobStatus=0020
     goto :EojNok
:EojAok
     call SimoNOTE "Finished JobName %CmdName%, Job Status is %JobStatus%"
     goto :End
:EojNok
     call SimoNOTE "ABENDING JobName %CmdName%, Job Status is %JobStatus%"
:End
     if not "%1" == "nopause" pause
